
DROP TABLE stock_tbl CASCADE CONSTRAINTS;

CREATE TABLE stock_tbl (
       item_cd              VARCHAR2(5) NOT NULL,
       amount               NUMBER(3) NOT NULL,
       order_cnt            NUMBER(3) NOT NULL
);


ALTER TABLE stock_tbl
       ADD  ( CONSTRAINT XPK_stock_tbl PRIMARY KEY (item_cd) ) ;


DROP TABLE order_tbl CASCADE CONSTRAINTS;

CREATE TABLE order_tbl (
       order_dt             VARCHAR2(8) NOT NULL,
       order_no             VARCHAR2(3) NOT NULL,
       user_cd              VARCHAR2(5) NULL,
       item_cd              VARCHAR2(5) NULL,
       amount               NUMBER(3) NULL
);


ALTER TABLE order_tbl
       ADD  ( CONSTRAINT XPK_order_tbl PRIMARY KEY (order_dt, order_no) ) ;


DROP TABLE item_mst CASCADE CONSTRAINTS;

CREATE TABLE item_mst (
       item_cd              VARCHAR2(5) NOT NULL,
       item_nm              VARCHAR2(20) NULL
);


ALTER TABLE item_mst
       ADD  ( CONSTRAINT XPK_item_mst PRIMARY KEY (item_cd) ) ;


DROP TABLE user_mst CASCADE CONSTRAINTS;

CREATE TABLE user_mst (
       user_cd              VARCHAR2(5) NOT NULL,
       user_id              VARCHAR2(10) NOT NULL,
       passwd               VARCHAR2(20) NOT NULL,
       full_name            VARCHAR2(20) NULL
);


ALTER TABLE user_mst
       ADD  ( CONSTRAINT XPK_user_mst PRIMARY KEY (user_cd) ) ;



